package com.backendsys.mapper.Ai.Aiivh;

import com.backendsys.entity.Ai.Aiivh.AiivhQuotaDTO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * AI数智人-用户配额订单记录
 */
@Mapper
public interface AiivhQuotaMapper {
    // 新增配额
    long insertAiivhQuota(AiivhQuotaDTO aiivhQuotaDTO);

    // 更改配额(状态)
    long updateAiivhQuota(AiivhQuotaDTO aiivhQuotaDTO);

    // 新增配额(批量)
    long insertAiivhQuotaBatch(List<AiivhQuotaDTO> aiivhQuotaDTOList);
    // 查询配额
    List<Map<String, Object>> queryAiivhQuotaList(AiivhQuotaDTO aiivhQuotaDTO);
}
